Get pallets
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/packaging/pallets \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/packaging/pallets';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "pallet_xxxxxxxxxxxx",
"name": "<string>",
"functionalUnitValue": 123,
"width": 123,
"height": 123,
"depth": 123,
"isDefault": true,
"item": {
"publicId": "item_xxxxxxxxxxxx",
"name": "<string>",
"displayName": "<string>",
"functionalUnit": "Centimeter"
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Packagings
Get pallets
Paginated with defaults page=1, pageSize=50
GET
/
screenings
/
packaging
/
pallets
Get pallets
curl --request GET \
--url https://api.maalbar.dk/v1/screenings/packaging/pallets \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings/packaging/pallets';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "pallet_xxxxxxxxxxxx",
"name": "<string>",
"functionalUnitValue": 123,
"width": 123,
"height": 123,
"depth": 123,
"isDefault": true,
"item": {
"publicId": "item_xxxxxxxxxxxx",
"name": "<string>",
"displayName": "<string>",
"functionalUnit": "Centimeter"
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}